
Name:           kdetoys
Summary:        K Desktop Environment - Toys and Amusements
Epoch:          7
Version:        4.0.5
Release:        1%{?dist}

License:        GPLv2
Group:          Amusements/Graphics
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXpm-devel
BuildRequires: libXv-devel
BuildRequires: libXxf86misc-devel
BuildRequires: giflib-devel
BuildRequires: pcre-devel
BuildRequires: libXtst-devel
BuildRequires: libXScrnSaver-devel

Requires: kdelibs4 >= %{version}
#Requires: kdebase-workspace
Requires(post): xdg-utils
Requires(postun): xdg-utils


%description
%{name} includes:
* amor: Amusing Misuse Of Resources put's comic figures above your windows
* eyesapplet: similar to XEyes
* fifteenapplet: order 15 pieces in a 4x4 square by moving them
* kteatime: makes sure your tea does not get too strong
* ktux: Tux-in-a-Spaceship screen saver
* kweather: display the current weather outside
* kworldwatch: shows daylight area on the world globe


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/amor/
%{_kde4_appsdir}/kteatime/
%{_kde4_appsdir}/ktux/
%{_kde4_appsdir}/kweather/
%{_kde4_appsdir}/kweatherservice/
%{_kde4_appsdir}/kworldclock/
%{_kde4_datadir}/kde4/services/*
%{_kde4_docdir}/HTML/en/amor/
%{_kde4_docdir}/HTML/en/kteatime/
%{_kde4_docdir}/HTML/en/kweather/
%{_kde4_docdir}/HTML/en/kworldclock/
%{_kde4_datadir}/applications/kde4/*.desktop
%{_datadir}/dbus-1/interfaces/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/libkdeinit4_*.*


%changelog
* Sun Jun 01 2008 Than Ngo <than@redhat.com> 4.0.5-1
- 4.0.5

* Tue May 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.4-1
- kde-4.0.4

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 7:4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 7:4.0.0-1
- kde-4.0.0

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.97.0-1
- kde-3.97.0

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.96.2-1
- kde-3.96.2

* Wed Nov 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.96.1-2
- touchup a bit for cvs import
- drop libs subpkg (no shlibs present) 

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.1-1
- kde-3.96.1

* Fri Nov 23 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-5
- libs subpkg
- also use epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-4
- BR: kde-filesystem >= 4
- rebuild to get newer cmake options and silent rpath problems

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-3
- BR: libXScrnSaver-devel
- BR: libXtst-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-2
- +BRs: kde4-macros(api), libXcomposite-devel, libXdamage-devel
- +BRs: libxkbfile-devel, libXpm-devel, libXv-devel, giflib-devel
- +BRs: libXxf86misc-devel, pcre-devel
- +R: kdelibs4-devel

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-1
- Initial kde4 version for Fedora

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.8-1
- kde-3.5.8

* Mon Aug 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-2
- License: GPLv2+
- drop Requires: kdebase (kde-filesystem helps here)

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.7-1
- kde-3.5.7

* Fri Apr 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-3
- Requires: kdebase (for directory ownership)

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-1
- kweather isn't configurable (#208510, kde#122850)
- kde-3.5.6

* Thu Oct 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-1
- kde-3.5.5

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-2.1
- fc6 respin

* Tue Aug 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-2
- %%description: remove references to (long gone) kaphorism, kscore (#200877)

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-1
- kde-3.5.4

* Wed May 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-1
- kde-3.5.3

* Mon Mar 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.2-1
- kde-3.5.2

* Mon Mar 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.1-3
- %%doc AUTHORS COPYING README
- BR: gettext
- drop %%{?debug_package} reference
- desktop-file-install --vendor="kde"/--add-category="Application",
  where needed
- comment inclusion of .la files

* Wed Feb 22 2006 Rex Dieter 7:3.5.1-2
- update %%description
- %%post/%%postun: drop ldconfig, update-destkop-database
- desktop-file-install --add-category="X-Fedora"

* Sat Jan 21 2006 Rex Dieter 7:3.5.1-1
- kde-3.5.1

* Tue Dec 08 2005 Rex Dieter 7:3.5.0-1.2
- --enable-new-ldflags
- --disable-gcc-hidden-visibility

* Sat Mar 19 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

